Index: /XIOS/trunk/arch/arch-GCC_LINUX.fcm
===================================================================
--- /XIOS/trunk/arch/arch-GCC_LINUX.fcm	(revision 1536)
+++ /XIOS/trunk/arch/arch-GCC_LINUX.fcm	(revision 1537)
@@ -12,5 +12,5 @@
 %DEBUG_CFLAGS   -g 
 
-%BASE_FFLAGS    -D__NONE__ 
+%BASE_FFLAGS    -D__NONE__ -ffree-line-length-none 
 %PROD_FFLAGS    -O3
 %DEV_FFLAGS     -g -O2
Index: /XIOS/trunk/arch/arch-X64_ADA.env
===================================================================
--- /XIOS/trunk/arch/arch-X64_ADA.env	(revision 1536)
+++ /XIOS/trunk/arch/arch-X64_ADA.env	(revision 1537)
@@ -1,11 +1,4 @@
-module unload compilerwrappers
 module unload netcdf
 module unload hdf5
-
-module load netcdf/mpi/4.1.3
+#module load netcdf/mpi/4.1.3
 #module load hdf5/mpi/1.8.9
-
-export NETCDF_INC_DIR=/smplocal/pub/NetCDF/4.1.3/mpi/include
-export NETCDF_LIB_DIR=/smplocal/pub/NetCDF/4.1.3/mpi/lib
-export HDF5_INC_DIR=/smplocal/pub/HDF5/1.8.9/par/include
-export HDF5_LIB_DIR=/smplocal/pub/HDF5/1.8.9/par/lib
Index: /XIOS/trunk/arch/arch-X64_ADA.fcm
===================================================================
--- /XIOS/trunk/arch/arch-X64_ADA.fcm	(revision 1536)
+++ /XIOS/trunk/arch/arch-X64_ADA.fcm	(revision 1537)
@@ -10,13 +10,13 @@
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
 %DEV_CFLAGS     -g -traceback
-%DEBUG_CFLAGS   -DBZ_DEBUG -g  -fno-inline
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
 %BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
 %DEV_FFLAGS     -g -O2 -traceback
-%DEBUG_FFLAGS   -g 
+%DEBUG_FFLAGS   -g -traceback
 
 %BASE_INC       -D__NONE__
-%BASE_LD        -lstdc++ 
+%BASE_LD        -lstdc++ -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib
 
 %CPP            mpiicc -EP
Index: /XIOS/trunk/arch/arch-X64_ADA.path
===================================================================
--- /XIOS/trunk/arch/arch-X64_ADA.path	(revision 1536)
+++ /XIOS/trunk/arch/arch-X64_ADA.path	(revision 1537)
@@ -1,5 +1,5 @@
-NETCDF_INCDIR="-I $NETCDF_INC_DIR"
-#NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
-#NETCDF_LIB="-lnetcdff -lnetcdf"
+NETCDF_INCDIR="-I/smplocal/pub/NetCDF/4.1.3/mpi/include"
+NETCDF_LIBDIR="-L/smplocal/pub/NetCDF/4.1.3/mpi/lib"
+NETCDF_LIB="-lnetcdff -lnetcdf"
 
 MPI_INCDIR=""
@@ -7,7 +7,7 @@
 MPI_LIB=""
 
-#HDF5_INCDIR="-I $HDF5_INC_DIR"
-#HDF5_LIBDIR="-L $HDF5_LIB_DIR"
-#HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz"
+HDF5_INCDIR="-I/smplocal/pub/HDF5/1.8.9/par/include"
+HDF5_LIBDIR="-L/smplocal/pub/HDF5/1.8.9/par/lib"
+HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz"
 
 OASIS_INCDIR="-I$PWD/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
Index: /XIOS/trunk/arch/arch-X64_CURIE.fcm
===================================================================
--- /XIOS/trunk/arch/arch-X64_CURIE.fcm	(revision 1536)
+++ /XIOS/trunk/arch/arch-X64_CURIE.fcm	(revision 1537)
@@ -10,11 +10,11 @@
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
 #%DEV_CFLAGS     -g -traceback
-%DEV_CFLAGS     -g
+%DEV_CFLAGS     -g 
 %DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
 %BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
-#%DEV_FFLAGS     -g -O2 -traceback
-%DEV_FFLAGS     -g -O2 
+#%DEV_FFLAGS     -g -traceback
+%DEV_FFLAGS     -g 
 %DEBUG_FFLAGS   -g -traceback
 
Index: /XIOS/trunk/arch/arch-ifort_CICLAD.path
===================================================================
--- /XIOS/trunk/arch/arch-ifort_CICLAD.path	(revision 1536)
+++ /XIOS/trunk/arch/arch-ifort_CICLAD.path	(revision 1537)
@@ -1,8 +1,5 @@
 NETCDF_INCDIR="-I /opt/netcdf42/ifort/include"
 NETCDF_LIBDIR="-L/opt/netcdf42/ifort/lib"
-NETCDF_LIB="-lnetcdf -lnetcdff"
-MPI_INCDIR=""
-MPI_LIBDIR=""
-MPI_LIB=""
+NETCDF_LIB="-lnetcdf"
 HDF5_INCDIR=""
 HDF5_LIBDIR=""
Index: /XIOS/trunk/arch/arch-ifort_LSCE.path
===================================================================
--- /XIOS/trunk/arch/arch-ifort_LSCE.path	(revision 1536)
+++ /XIOS/trunk/arch/arch-ifort_LSCE.path	(revision 1537)
@@ -2,7 +2,4 @@
 NETCDF_LIBDIR="-L/usr/local/install/netcdf-4.3.2p/lib"
 NETCDF_LIB="-lnetcdf -lnetcdff"
-MPI_INCDIR=""
-MPI_LIBDIR=""
-MPI_LIB=""
 HDF5_INCDIR="-I /usr/local/install/hdf5-1.8.9p/include"
 HDF5_LIBDIR="-L/usr/local/install/hdf5-1.8.9p/lib"
Index: /XIOS/trunk/bld.cfg
===================================================================
--- /XIOS/trunk/bld.cfg	(revision 1536)
+++ /XIOS/trunk/bld.cfg	(revision 1537)
@@ -8,6 +8,6 @@
 # ------------------------------------------------------------------------------
 
-inc arch.fcm
-inc config.fcm
+# Specifying the build directory and src::blitz if necessary.
+inc bld_dir.cfg
 
 %CFLAGS           %BASE_CFLAGS %COMPIL_CFLAGS
@@ -15,16 +15,28 @@
 %LD_FLAGS         %ARCH_LD %BASE_LD
 
-
-dest::root   $PWD
-
 bld::infile_ext::cpp   C::SOURCE
 bld::infile_ext::conf  CPP::INCLUDE
 bld::infile_ext::hpp   CPP::INCLUDE
 
+# IMPORTANT: as the build directory may not necessarily coincide with the source directory, 
+# each source subfolder should be declared individually
+search_src           false
+src::xios                               $PWD/src
+src::xios::config                       $PWD/src/config
+src::xios::date                         $PWD/src/date
+src::xios::filter                       $PWD/src/filter
+src::xios::functor                      $PWD/src/functor
+src::xios::interface::c                 $PWD/src/interface/c
+src::xios::interface::c_attr            $PWD/src/interface/c_attr
+src::xios::interface::fortran           $PWD/src/interface/fortran
+src::xios::interface::fortran_attr      $PWD/src/interface/fortran_attr
+src::xios::io                           $PWD/src/io
+src::xios::node                         $PWD/src/node
+src::xios::parse_expr                   $PWD/src/parse_expr
+src::xios::test                         $PWD/src/test
+src::xios::transformation               $PWD/src/transformation
+src::xios::transformation::Functions    $PWD/src/transformation/Functions
+src::xios::type                         $PWD/src/type
 
-search_src           true
-src::zzz .
-#src::date $PWD/extern/boost/src/date_time
-src::blitz $PWD/extern/blitz/src
 src::netcdf $PWD/extern/netcdf4
 src::remap $PWD/extern/remap/src
@@ -32,13 +44,14 @@
 bld::target libxios.a 
 #bld::target generate_fortran_interface.exe 
+#bld::target test_remap.exe
 bld::target xios_server.exe 
-bld::target test_remap.exe
 #bld::target test_regular.exe
-#bld::target test_expand_domain.exe
+#bld::target test_xios2_cmip6.exe
 #bld::target test_new_features.exe test_unstruct_complete.exe 
-bld::target test_client.exe 
-bld::target test_complete.exe test_xios2_cmip6.exe
-#bld::target test_connectivity_expand.exe
-#bld::target toy_cmip6.exe
+#bld::target test_remap.exe
+#bld::target test_complete.exe
+#bld::target test_client.exe
+#bld::target test_unstruct_complete.exe
+#bld::target test_unstructured.exe
 bld::exe_dep
 
@@ -59,6 +72,6 @@
 # Pre-process code before analysing dependencies
 bld::pp    false          
-bld::pp::interface/fortran              true
-bld::pp::interface/fortran_attr         true
+bld::pp::xios::interface::fortran              true
+bld::pp::xios::interface::fortran_attr         true
 bld::excl_dep        use::mod_prism_get_comm
 bld::excl_dep        use::mod_prism_get_localcomm_proto
Index: /XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- /XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1536)
+++ /XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1537)
@@ -1,8 +1,6 @@
-#LyX 2.2 created this file. For more info see http://www.lyx.org/
-\lyxformat 508
+#LyX 2.1 created this file. For more info see http://www.lyx.org/
+\lyxformat 474
 \begin_document
 \begin_header
-\save_transient_properties true
-\origin unavailable
 \textclass book
 \use_default_options true
@@ -15,14 +13,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman "default" "default"
-\font_sans "default" "default"
-\font_typewriter "default" "default"
-\font_math "auto" "auto"
+\font_roman default
+\font_sans default
+\font_typewriter default
+\font_math auto
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100 100
-\font_tt_scale 100 100
+\font_sf_scale 100
+\font_tt_scale 100
 \graphics default
 \default_output_format default
@@ -83,13 +81,4 @@
 \end_layout
 
-\begin_layout Standard
-\begin_inset CommandInset toc
-LatexCommand tableofcontents
-
-\end_inset
-
-
-\end_layout
-
 \begin_layout Chapter
 Attribute reference
@@ -284,5 +273,5 @@
 \begin_layout Standard
 Define the time origin of the time axis.
- It will appear as meta-data attached to the time axis in the output file.
+ It will appear as metadata attached to the time axis in the output file.
  This attribute is optional, the default value is 
 \begin_inset Flex Emph
@@ -897,188 +886,4 @@
 
 \begin_layout Section
-Scalar attribute reference
-\end_layout
-
-\begin_layout Subsection*
-name: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-string
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: name
-\end_layout
-
-\begin_layout Standard
-Define the name of the scalar, as it will appear in a file.
- If not defined, a name is self generated from the id.
- If multiple scalars are defined in a same file, each name must be different.
- 
-\end_layout
-
-\begin_layout Subsection*
-standard_name: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-string
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: standard_name
-\end_layout
-
-\begin_layout Standard
-Define the standard name of the scalar, as it will appear in the meta-data
- attached to the scalar of the output file.
- 
-\end_layout
-
-\begin_layout Subsection*
-long_name: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-string
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: long_name
-\end_layout
-
-\begin_layout Standard
-Define the long name of the scalar, as it will appear in the meta-data attached
- to the scalar of the output file.
- 
-\end_layout
-
-\begin_layout Subsection*
-unit: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-string
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: unit
-\end_layout
-
-\begin_layout Standard
-Define the unit of the scalar as it will appear in the meta-data attached
- to the scalar in the output file.
-\end_layout
-
-\begin_layout Subsection*
-value: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-double
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-DOUBLE PRECISION :: value
-\end_layout
-
-\begin_layout Standard
-Define the value of a scalar.
- 
-\end_layout
-
-\begin_layout Subsection*
-scalar_ref: string
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: axis_ref
-\end_layout
-
-\begin_layout Standard
-Define the reference of the scalar.
- All attributes are inherited from the referenced scalar with the classical
- inheritance mechanism.
- The value assigned to the referenced axis is transmitted to to current
- scalar.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-prec: 
-\emph on
-integer
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: prec
-\end_layout
-
-\begin_layout Standard
-Define the precision in byte of a field in an output file.
- Available value are: 2 (integer), 4 (float single precision) and 8 (float
- double precision).
-\end_layout
-
-\begin_layout Section
 Axis attribute reference
 \end_layout
@@ -1138,5 +943,5 @@
 \begin_layout Standard
 Define the standard name of the vertical axis, as it will appear in the
- meta-data attached to the axis of the output file.
+ metadata attached to the axis of the output file.
  
 \end_layout
@@ -1165,5 +970,5 @@
 
 \begin_layout Standard
-Define the long name of the vertical axis, as it will appear in the meta-data
+Define the long name of the vertical axis, as it will appear in the metadata
  attached to the axis of the output file.
  
@@ -1193,6 +998,6 @@
 
 \begin_layout Standard
-Define the unit of the axis as it will appear in the meta-data attached
- to the axis in the output file.
+Define the unit of the axis as it will appear in the metadata attached to
+ the axis in the output file.
 \end_layout
 
@@ -1718,5 +1523,5 @@
 
 \begin_layout Standard
-Define the standard name of the domain, as it will appear in the meta-data
+Define the standard name of the domain, as it will appear in the metadata
  attached to the domain of the output file.
  
@@ -1746,5 +1551,5 @@
 
 \begin_layout Standard
-Define the long name of the domain, as it will appear in the meta-data attached
+Define the long name of the domain, as it will appear in the metadata attached
  to the domain of the output file.
  
@@ -1855,5 +1660,5 @@
 
 \begin_layout Standard
-Define the beginning index of the first dimension of the local domain.
+Define the begining index of the first dimension of the local domain.
  This attribute is optional.
  This must be an integer between 
@@ -2084,5 +1889,5 @@
 \begin_layout Standard
 Define the value of the longitude on the local domain.
- For a Cartesian grid, the size of the array will be 
+ For a cartesian grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -2129,5 +1934,5 @@
 \begin_layout Standard
 Define the value of the longitude on the local domain.
- For a Cartesian and curvilinear grid, the size of the array will be 
+ For a cartesian and curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -2164,5 +1969,5 @@
 \begin_layout Standard
 Define the value of the latitude on the local domain.
- For a Cartesian grid, the size of the array will be nj.
+ For a cartesian grid, the size of the array will be nj.
  For a curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
@@ -2199,5 +2004,5 @@
 \begin_layout Standard
 Define the value of the latitude on the local domain.
- For a Cartesian and a curvilinear grid, the size of the array will be 
+ For a cartesian and a curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -3130,5 +2935,5 @@
 \end_inset
 
- attribute as it will appear in the meta-data of an output file.
+ attribute as it will appear in the metadata of an output file.
  This attribute is optional.
 \end_layout
@@ -3159,5 +2964,5 @@
 \end_inset
 
- attribute as it will appear in the meta-data of an output file.
+ attribute as it will appear in the metadata of an output file.
  This attribute is optional.
 \end_layout
@@ -3437,36 +3242,4 @@
 
 \begin_layout Subsection*
-check_if_active: 
-\emph on
-bool
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-LOGICAL :: check_if_active
-\end_layout
-
-\begin_layout Standard
-Define whether XIOS will automatically check if the field is active at current
- timestep when sending data from the model.
- Enabling this behavior can sometimes improve the performances by avoiding
- unneeded data processing.
- This attribute is optional, the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-false
-\end_layout
-
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
 field_ref: 
 \emph on
@@ -3687,5 +3460,5 @@
 
 \begin_layout LyX-Code
-LOGICAL:: detect_missing_value
+LOGICAL: detect_missing_value
 \end_layout
 
@@ -3706,5 +3479,5 @@
 
 \begin_layout LyX-Code
-DOUBLE PRECISION :: add_offset
+DOUBLE PRECISION: add_offset
 \end_layout
 
@@ -3720,5 +3493,5 @@
 \end_inset
 
- meta-data CF attribute in the output file.
+ metadata CF attribute in the output file.
  In output, the 
 \begin_inset Flex Strong
@@ -3745,5 +3518,5 @@
 
 \begin_layout LyX-Code
-DOUBLE PRECISION :: scale_factor
+DOUBLE PRECISION: scale_factor
 \end_layout
 
@@ -3759,5 +3532,5 @@
 \end_inset
 
- meta-data CF attribute in the output file.
+ metadata CF attribute in the output file.
  In output, the field values are divided by the 
 \begin_inset Flex Strong
@@ -4432,6 +4205,6 @@
 \series default
 \emph default
- only if the NetCDF4 library was compiled with Parallel NetCDF support (âenable-
-pnetcdf).
+ only if the NetCDF4 library was compiled with Parallel NetCDF support (--enable
+-pnetcdf).
 \end_layout
 
@@ -4740,11 +4513,470 @@
 \end_layout
 
-\begin_layout Standard
-\begin_inset CommandInset include
-LatexCommand include
-filename "inputs/reference/Transformations.lyx"
-
-\end_inset
-
+\begin_layout Section
+Transformation attribute reference
+\end_layout
+
+\begin_layout Subsection
+interpolate_axis
+\end_layout
+
+\begin_layout Subsection*
+type: 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Define the type of interpolation on an axis.
+ This attribute is optional.
+\end_layout
+
+\begin_layout Subsection*
+order: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: order
+\end_layout
+
+\begin_layout Standard
+Define a order of interpolation.
+ This attribute is optional.
+ The default value is 2.
+\end_layout
+
+\begin_layout Subsection
+inverse_axis
+\end_layout
+
+\begin_layout Subsection
+zoom_axis
+\end_layout
+
+\begin_layout Subsection*
+begin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: begin
+\end_layout
+
+\begin_layout Standard
+Define the begining index of the zoomed region on global axis.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo-1
+\end_layout
+
+\end_inset
+
+ of associated axis.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+n: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on global axis.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated axis.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated axis.
+\end_layout
+
+\begin_layout Subsection
+interpolate_domain
+\end_layout
+
+\begin_layout Subsection*
+file: 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Define the file which contains the weight value to interpolate from domain
+ source to domain destination.
+ This attribute is optional.
+ If not specified, the internal interpolation module will be used.
+\end_layout
+
+\begin_layout Subsection*
+order: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: order
+\end_layout
+
+\begin_layout Standard
+Define a order of interpolation.
+ This attribute is only for internal interoplation module.
+ This attribute is optional.
+ The default value is 2.
+\end_layout
+
+\begin_layout Subsection
+zoom_domain
+\end_layout
+
+\begin_layout Subsection*
+ibegin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: ibegin
+\end_layout
+
+\begin_layout Standard
+Define the begining index of the zoomed region on the first dimension of
+ the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo-1
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+ni: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: ni
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on the first dimension of the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo
+\end_layout
+
+\end_inset
+
+ of the dimension of domain.
+\end_layout
+
+\begin_layout Subsection*
+jbegin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: jbegin
+\end_layout
+
+\begin_layout Standard
+Define the begining index of the zoomed region on the second dimension of
+ the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo-1
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+nj: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: nj
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on the second dimension of the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the dimension of domain.
+\end_layout
+
+\begin_layout Subsection
+generate_rectilinear_domain
+\end_layout
+
+\begin_layout Standard
 
 \end_layout
@@ -4895,8 +5127,4 @@
 \begin_layout Itemize
 If OASIS coupler is not used (using_oasis=false)
-\begin_inset Separator latexpar
-\end_inset
-
-
 \end_layout
 
@@ -5037,8 +5265,4 @@
 
 )
-\begin_inset Separator latexpar
-\end_inset
-
-
 \end_layout
 
@@ -5056,8 +5280,4 @@
 
 ) 
-\begin_inset Separator latexpar
-\end_inset
-
-
 \end_layout
 
@@ -5170,8 +5390,4 @@
 
 )
-\begin_inset Separator latexpar
-\end_inset
-
-
 \end_layout
 
@@ -7305,9 +7521,9 @@
 
 \begin_layout Subsection*
-Arithmetic operations on duration
-\end_layout
-
-\begin_layout Standard
-The following arithmetic operations on duration are available:
+Arithmetic operations on durations
+\end_layout
+
+\begin_layout Standard
+The following arithmetic operations on durations are available:
 \end_layout
 
@@ -7379,9 +7595,9 @@
 
 \begin_layout Subsection*
-Comparison operations on duration
-\end_layout
-
-\begin_layout Standard
-The following comparison operations on duration are available:
+Comparison operations on durations
+\end_layout
+
+\begin_layout Standard
+The following comparison operations on durations are available:
 \end_layout
 
